Bug 72899 - Upgrade from 7.2 to 7.3 fails when reading package info
Upgrade from 7.2 to 7.3 fails when reading package info
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-28 16:52 EDT by Bob T.
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-03 17:19:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Anaconda error dump (24.00 KB, text/plain)
2002-08-28 16:58 EDT, Bob T.
no flags Details
Anaconda error dump (24.25 KB, text/plain)
2002-08-28 17:05 EDT, Bob T.
no flags Details
Anaconda log . (55.32 KB, text/plain)
2002-09-04 21:23 EDT, Bob T.
no flags Details

  None (edit)
Description Bob T. 2002-08-28 16:52:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.79 [en] (X11; U; Linux 2.4.18-10 i586)

Description of problem:
Python crashes with trace and
RuntimeError: /bin/sh can not be run


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. try to upgrade from 7.2 to 7.3
2. after boot-loader configuration, "reading package info" window
opens
3. 
	

Actual Results:  Error window opens with Python traceback and debugging info
(attached).

Expected Results:  upgrade

Additional info:
Comment 1 Bob T. 2002-08-28 16:58:06 EDT
Created attachment 73604 [details]
Anaconda error dump
Comment 2 Bob T. 2002-08-28 17:05:06 EDT
Created attachment 73605 [details]
Anaconda error dump
Comment 3 Michael Fulbright 2002-08-29 12:20:24 EDT
The error log you attached is truncated - please attach the entire file.
Comment 4 Bob T. 2002-09-04 21:23:48 EDT
Created attachment 74964 [details]
Anaconda log .
Comment 5 Bob T. 2002-09-04 21:29:21 EDT
Sorry for the truncated log and the delay. The original floppy had bad sectors,
and the computer had gone off to college with my son.
Comment 6 Jeremy Katz 2002-10-02 17:57:41 EDT
What does `ls -l /bin/sh` give on your system?
Comment 7 Bob T. 2002-10-02 21:38:12 EDT
$ ls -l /bin/sh
   0 lrwxrwxrwx    1 root     root    9 May  5 03:51 /bin/sh -> /bin/bash*
Comment 8 Jeremy Katz 2002-10-02 21:57:38 EDT
What is the output of the following commands?

rpm -qf /bin/sh
rpm -V bash


/bin/sh should be a symbolic link to just bash instead of /bin/bash so I'm just
curious as to how it got to its current state.  We have code in Red Hat Linux
8.0 to make sure that this symlink is correct before going into the upgrade process.
Comment 9 Bob T. 2002-10-03 17:19:08 EDT
bash-2.05-8 is installed.  Unfortunately, bash was re-installed before rpm -V
was run and no one knows how the sym link could have become /bin/bash.
Comment 10 Jeremy Katz 2002-10-05 09:43:28 EDT
Hmm... okay -- well, if you fix it, then your upgrade should work.  As I said,
we detect this case and handle it better in Red Hat Linux 8.0
Comment 11 Michael Fulbright 2002-12-20 12:38:25 EST
Time tracking values updated

Note You need to log in before you can comment on or make changes to this bug.